package com.tiesheng.core.config.token;


import cn.hutool.core.map.MapUtil;
import com.tiesheng.core.config.token.bean.TokenBean;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.Map;


/**
 * @author hao
 */
@Configuration
@ConfigurationProperties("tiesheng.token")
public class TokenValidConfig {

    private Map<String, TokenBean> list = MapUtil.newHashMap();


    /**
     * 验证token
     *
     * @param token
     * @return
     */
    public TokenBean getTokenBean(String token) {
        if (list == null) {
            return null;
        }
        return list.get(token);
    }

    ///////////////////////////////////////////////////////////////////////////
    // setter\getter
    ///////////////////////////////////////////////////////////////////////////

    public Map<String, TokenBean> getList() {
        return list;
    }

    public void setList(Map<String, TokenBean> list) {
        this.list = list;
    }
}
